OSTREE FIND-REMOTES(1)

NAME
ostree-find-remotes - Find remotes to serve the given refs

SYNOPSIS

ostree find-remotes [OPTIONS...] {COLLECTION-ID} {REF} [COLLECTION-ID REF...]

DESCRIPTION

OSTree has the ability to pull not just from the configured remote servers but also from peer computers on the LAN and from mounted filesystems such as USB drives. This functionality requires the use of collection IDs and GPG verification.

The find-remotes command searches for remotes which claim to provide one or more of the given COLLECTION-ID REF pairs and prints information about them, with remotes sorted by latency (Mounts > LAN > Internet). By default, OSTree searches for remotes in configuration files, on mounted filesystems (in a well-known location), and on the LAN using Avahi. Searching for LAN remotes requires OSTree to have been compiled with Avahi support, and it requires an Avahi daemon to be running. You can override the default set of finders (sources for remotes) using the --finders option documented below.

The create-usb command is the recommended way to put refs on a USB such that find-remotes will discover them. See ostree-create-usb(1).

OPTIONS

--cache-dir=DIR
    Use an alternate cache directory in DIR.

--disable-fsync
    Do not invoke fsync().

--finders=FINDERS
    Use the specified comma separated list of finders rather than the default set. Possible values: config, lan, and mount (or any combination thereof).

--pull
    Pull the most recent commit found for each ref.

--mirror
    Do a mirror pull (see the documentation for ostree pull --mirror). This option can only be used in combination with --pull.

EXAMPLE

$ ostree find-remotes --finders=mount,lan com.exampleos.Os exampleos/x86_64/standard

    Result 0: http://10.0.64.202:43381/0
     - Finder: OstreeRepoFinderAvahi
     - Keyring: exampleos.trustedkeys.gpg
     - Priority: 60
     - Summary last modified: 2018-01-12T19:00:28Z
     - Refs:
        - (com.exampleos.Os, exampleos/x86_64/standard) = c91acd964b3fda561b87bfb7f7c80e36220d76b567f0ce90c0e60742ef33c360

    1/1 refs were found.